
QGIS Application - Bug report #13302

long line in legend

2015-08-31 11:12 PM - Denis Rouzaud

Status: Closed

Priority: High

Assignee: Vincent Mora

Category: Map Legend

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 21360

Description

Recently, I have a weird thing in a legend entry: the line smybol is way too large and I can't see the text if the dock is not large enough:

https://cloud.githubusercontent.com/assets/127259/9597350/0760a684-5081-11e5-8dda-5f9c3c45175e.png

https://cloud.githubusercontent.com/assets/127259/9597319/ca9d64da-5080-11e5-85ba-5aaa9aab800e.png

Associated revisions

Revision d7103dfb - 2015-09-09 12:29 PM - Vincent Mora

fix varying line width when legend updates

fix #13302

History

#1 - 2015-08-31 11:14 PM - Denis Rouzaud

this does not happen in the layer properties:

https://cloud.githubusercontent.com/assets/127259/9597385/5f291acc-5081-11e5-8d3d-7aae0321bfff.png

#2 - 2015-09-03 01:05 AM - Martin Dobias

- Assignee changed from Martin Dobias to Vincent Mora

#3 - 2015-09-07 08:22 AM - Vincent Mora

Hi Denis,

I have tried to reproduce with today's master tests/testdata/lines.shp and failed (legend looks OK both in legend pannel and composer).

Can you provide a sample project please ?

#4 - 2015-09-07 08:23 AM - Vincent Mora

- Assignee changed from Vincent Mora to Denis Rouzaud

#5 - 2015-09-07 09:28 AM - Salvatore Larosa
This is very easy to reproduce. I created a project with tests/testdata/lines.shp and you can watch what is happening in this video: 

http://lrssvt.ns0.it/img/13302.ogv

#6 - 2015-09-07 09:45 AM - Vincent Mora

Ok, reproduced, it's on legend refresh that the size increases. I think I know where the problem is, will fix that asap.

Thanks for the video.

#7 - 2015-09-09 03:31 AM - Vincent Mora

- Assignee changed from Denis Rouzaud to Vincent Mora

- Pull Request or Patch supplied changed from No to Yes

fixed here https://github.com/qgis/QGIS/pull/2300

#8 - 2015-09-09 11:00 PM - Vincent Mora

- Status changed from Open to Closed

Fixed in changeset commit:"d7103dfb1b51bc9f28bde348b3781aba5ca107a2".
